Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.portrayal.network
Class NetworkPortrayal2D

    java.lang.Object
      sim.portrayal.FieldPortrayal
          sim.portrayal.FieldPortrayal2D
              sim.portrayal.network.NetworkPortrayal2D

All Implemented Interfaces:
  java.io.Serializable, Portrayal, Portrayal2D

    public class NetworkPortrayal2D

extends FieldPortrayal2D

Portrays network fields. Only draws the edges. To draw the nodes, use a ContinuousPortrayal2D or SparseGridPortrayal2D. The 'location' passed into the DrawInfo2D handed to the SimplePortryal2D is the Edge itself, while the 'object' passed to the SimplePortryal2D is the Edge's info object.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class sim.portrayal.FieldPortrayal
`FieldPortrayal.CustomInspector`

Field Summary

Fields inherited from class sim.portrayal.FieldPortrayal2D
`DEFAULT, DONT_USE_BUFFER, USE_BUFFER`

Fields inherited from class sim.portrayal.FieldPortrayal
`classPortrayals, dirtyField, field, immutableField, portrayalForAll, portrayalForNonNull, portrayalForNull, portrayalForRemainder, portrayals`

Constructor Summary
`NetworkPortrayal2D()`

Method Summary
`Portrayal` | `getDefaultPortrayal()` Should return a portrayal which can portray any object regardless of whether it's valid or not
`LocationWrapper` | `getWrapper(Edge edge)`
`protected void` | `hitOrDraw(java.awt.Graphics2D graphics, DrawInfo2D info, Bag putInHere)` Instead of overriding the draw and hitObjects methods, you can optionally override this method to provide both the draw(...) and hitObjects(...) functionality in a single method, as it's common that these two methods have nearly identical code.
`void` | `setField(java.lang.Object field)` Sets the field.

Methods inherited from class sim.portrayal.FieldPortrayal2D
`draw, getBuffering, getClipLocation, getLocationPosition, getObjectLocation, getObjectPosition, getPositionLocation, getRelativeObjectPosition, getScale, hitObjects, setBuffering, setObjectPosition`

Methods inherited from class sim.portrayal.FieldPortrayal
`getDefaultNullPortrayal, getField, getInspector, getName, getPortrayalForAll, getPortrayalForNonNull, getPortrayalForNull, getPortrayalForObject, getPortrayalForRemainder, getStatus, isImmutableField, setImmutableField, setPortrayalForAll, setPortrayalForClass, setPortrayalForNonNull, setPortrayalForNull, setPortrayalForObject, setPortrayalForRemainder, setSelected, setSelected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface sim.portrayal.Portrayal
`getInspector, getName, getStatus, setSelected`

Constructor Detail

### NetworkPortrayal2D

    public NetworkPortrayal2D()

Method Detail

### getDefaultPortrayal

    public Portrayal getDefaultPortrayal()

  Description copied from class: `FieldPortrayal`
  Should return a portrayal which can portray any object regardless of whether it's valid or not

  Overrides:
    `getDefaultPortrayal` in class `FieldPortrayal2D`

### setField

    public void setField(java.lang.Object field)

  Description copied from class: `FieldPortrayal`
  Sets the field. Also sets dirtyField = true. May throw an exception if the field is inappropriate.

  Overrides:
    `setField` in class `FieldPortrayal2D`

### hitOrDraw

    protected void hitOrDraw(java.awt.Graphics2D graphics,
                             DrawInfo2D info,
                             Bag putInHere)

  Description copied from class: `FieldPortrayal2D`
  Instead of overriding the draw and hitObjects methods, you can optionally override this method to provide both the draw(...) and hitObjects(...) functionality in a single method, as it's common that these two methods have nearly identical code. You should test which operation to do based on whether or not graphics is null (if it is, you're hitting, else you're drawing).

  Overrides:
    `hitOrDraw` in class `FieldPortrayal2D`

### getWrapper

    public LocationWrapper getWrapper(Edge edge)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD